View Issue Details

IDProjectCategoryView StatusLast Update
0019561MediaMonkey 5Install/Configpublic2022-11-17 20:24
Reporterrusty Assigned To 
PriorityurgentSeverityfeatureReproducibilityalways
Status closedResolutionreopened 
Product Version5.0.4 
Target Version5.0.4Fixed in Version5.0.4 
Summary0019561: Allow users to upgrade from x.x to lifetime licenses
DescriptionCurrently, if users decide that they want to upgrade to a lifetime license prior to expiry of their x.x license, there's no way to enter the new license. The only option available is to do a registry edit to delete the key and then re-register, which is a non-starter for most users.

Possible approaches to solve this would be to in the 'About MM' panel either:
a) add an 'Enter new license' link which would open the license entry dialog
b) add a 'Delete license...' link which would prompt the user to delete the license, after which the user could re-register with the new key.

a) would seem to be a much better solution.
TagsNo tags attached.
Fixed in build2687

Activities

peke

2022-11-15 07:13

developer   ~0070303

In addition to a) it would also solve problem when users want to installMM on second PC, but do not have access to Email with license key to easily have access to it.

2. It would be nice to have Delete License in License entry dialog so that User can re-register PC, but do not uninstall MM

Both cases were requested multiple times and like pointed we were instruct users to use regedit.

Ludek

2022-11-15 12:31

developer   ~0070308

Last edited: 2022-11-15 12:32

I agree that a) is better solution, what about to use existing string 'Enter registration key for MediaMonkey Gold' ?
That way we could add it to 5.0.4
image.png (64,247 bytes)   
image.png (64,247 bytes)   

Ludek

2022-11-15 12:34

developer   ~0070309

Last edited: 2022-11-15 12:35

Fixed in 5.1.0.2800 and merged to 5.0.4.2686 (as it is low risk and existing string is used)

rusty

2022-11-15 14:21

administrator   ~0070314

Ludek, I like the approach, but the string itself can add confusion because it makes it unclear whether the key has been entered. Could we tweak this with one of the suggestions below?

a) Make the 'MediaMonkey Gold (<licenseversion>) to <name> a hyperlink that opens the dialog
b) License: <license string> . . . . . . . Edit (but this may require the dialog to be a bit wider)

peke

2022-11-15 23:18

developer   ~0070333

Linked text tend to be less visible as per Ludek example.

How about Gear icon at the end of 'MediaMonkey Gold (<licenseversion>) to <name> [⚙]'"?

rusty

2022-11-15 23:26

administrator   ~0070335

Last edited: 2022-11-16 00:18

That's the best idea yet:
c) 'MediaMonkey Gold (<licenseversion>) to <name>' [✎]

peke

2022-11-15 23:31

developer   ~0070336

To combine c) with solution b) entering empty license info would de-register MM.

Ludek

2022-11-16 10:44

developer   ~0070343

ok, sounds good

Ludek

2022-11-16 14:08

developer   ~0070347

Changed to edit button + added ability to unregister (when empty values are entered)

rusty

2022-11-16 21:48

administrator   ~0070357

Tested 2686 on MM Portable and it's working well except for one problem:
When the user clicks the [Edit] icon, the dialog appears but it is empty. So if the user clicks OK (rather than cancel) their registration information gets deleted!

Ludek

2022-11-17 12:57

developer   ~0070364

Last edited: 2022-11-17 12:57

Yes, but wasn't this intentional based on your note 0019561:0070336 , i.e. "To combine c) with solution b) entering empty license info would de-register MM." ??

Or do you suggest to show the current license info + password in that dialog?
Note that the password (License Key) is stored as encrypted in registry -- so isn't it a security hole to show it decrypted in the "Register MediaMonkey Gold dialog" ?

Forther possibilities are:
a) Revert the ability to unregister (by entering empty license info)
b) Add delete button next to the edit button to delete the existing license info, but this would probably require kind of confirmation upon clicking the delete icon -- so probably something rather for 5.1 ?

Ludek

2022-11-17 14:02

developer   ~0070366

As discussed offline:

1) MM displays for Username: the actual username
and for the Key: something like the first 3 characters followed by xxx. e.g. INF-XXXX-XXXX-XXXX-XXXX or V49-XXXX-XXXX-XXXX-XXXX

Ideally, it would also show the text in greyed out characters so it's more clear that it can be replaced but not edited.

2) The edit button shouldn't be shown in party mode.

Ludek

2022-11-17 14:13

developer   ~0070367

1) On the other hand I think that user will hardly realize that by deleting the info can "Unregister" MM, in addition I don't see a need to unregister MM? I think that the point of this issue was to _change_ the registration info rather?
So I would rather tent to just revert the ability to uregister by entering empty values.

Ludek

2022-11-17 14:20

developer   ~0070368

Fixed in 2687

1) i.e. existing UserName is shown, but License Key remains empty and OK button disabled until user enters a new license key to change the registration

2) Edit button hidden in Party Mode

rusty

2022-11-17 20:24

administrator   ~0070374

Verified 2687.